%define upstream_name    MIME-Base64
%define upstream_version 3.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Encode/decode Base 64 (RFC 2045)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module provides functions to encode and decode strings into and from
the base64 encoding specified in RFC 2045 - _MIME (Multipurpose Internet
Mail Extensions)_. The base64 encoding is designed to represent arbitrary
sequences of octets in a form that need not be humanly readable. A
65-character subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits
to be represented per printable character.

The following functions are provided:

* encode_base64($str)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Aug 23 2024 tv <tv> 3.160.0-6.mga10
+ Revision: 2089035
- Rebuild for perl-5.40

* Wed Nov 29 2023 tv <tv> 3.160.0-5.mga10
+ Revision: 2011243
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 3.160.0-4.mga9
+ Revision: 1862162
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.160.0-3.mga9
+ Revision: 1795905
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.160.0-2.mga9
+ Revision: 1726903
- Rebuild for perl 5.34

* Sun Sep 27 2020 tv <tv> 3.160.0-1.mga8
+ Revision: 1630772
- update to 3.16

* Wed Jun 17 2020 umeabot <umeabot> 3.150.0-13.mga8
+ Revision: 1594929
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 3.150.0-12.mga8
+ Revision: 1528901
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 3.150.0-11.mga8
+ Revision: 1432768
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.150.0-10.mga7
+ Revision: 1293413
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Use correct macro in file list

* Sun Aug 05 2018 tmb <tmb> 3.150.0-9.mga7
+ Revision: 1247476
- update filelist
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 3.150.0-8.mga7
+ Revision: 1165508
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.150.0-7.mga7
+ Revision: 1149084
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.150.0-6.mga7
+ Revision: 1127519
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.150.0-5.mga6
+ Revision: 1029888
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.150.0-4.mga6
+ Revision: 957753
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 3.150.0-3.mga6
+ Revision: 845021
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 3.150.0-2.mga6
+ Revision: 840867
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 3.150.0-1.mga6
+ Revision: 838409
- update to 3.15

* Sun Oct 19 2014 umeabot <umeabot> 3.140.0-7.mga5
+ Revision: 789084
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.140.0-6.mga5
+ Revision: 739691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.140.0-5.mga5
+ Revision: 685290
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.140.0-4.mga5
+ Revision: 631396
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 3.140.0-3.mga5
+ Revision: 587969
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.140.0-2.mga4
+ Revision: 529482
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 3.140.0-1.mga4
+ Revision: 451889
- update to 3.14

* Wed May 29 2013 jquelin <jquelin> 3.130.0-6.mga4
+ Revision: 430873
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.130.0-5.mga3
+ Revision: 369315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.130.0-4.mga3
+ Revision: 250949
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 3.130.0-3.mga2
+ Revision: 103800
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 3.130.0-2.mga1
+ Revision: 53627
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.130.0-1.mga1
+ Revision: 30744
- mageia rebuild
- imported package perl-MIME-Base64

